Qore OracleSqlUtil Module Reference 1.0

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Member Functions | List of all members
OracleSqlUtil::OracleFunction Class Reference

represents an Oracle function More...

Inheritance diagram for OracleSqlUtil::OracleFunction:
[legend]

## Public Member Functions
| constructor (string n, string n_src)
| creates the object from the arguments passed More...
Public Member Functions inherited from OracleSqlUtil::OracleCodeBase
| constructor (string n, string n_type, string n_src)
| creates the object from the arguments passed More...
bool | equalImpl (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not
softlist | getCreateSql (*hash opt)
| returns a string that can be used to create the object in the database
list | getRenameSql (string new_name)
| returns a string that can be used to rename the object in the database

## Detailed Description

represents an Oracle function

## Member Function Documentation

OracleSqlUtil::OracleFunction::constructor | ( | string | n,
|  | string | n_src
| ) |  |

creates the object from the arguments passed

Parameters

  n | the name of the function
  n_src | the source of the function